enc_rsa_key = <<~EOF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EOF

# Github's SSH key unverification is annoying. This key is read-only on an
# archived private testing repo.
#
# TODO: Use encrypted data bag
rsa_key = Base64.decode64(enc_rsa_key)

capish_repo '/var/www/private' do
  repository 'git@github.com:paulholden2/capish-test-private'
  destination '/var/www/private'
  branch 'deploy'
  action :checkout
  deploy_key rsa_key
  notifies :run, 'ruby_block[private build stub]'
end

ruby_block 'private build stub' do
  block do
    # Project build...
    sleep(3)
  end
  action :nothing
  notifies :deploy, 'capish_repo[/var/www/private]'
end
